# Read Users Me Workspace Permissions

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read Users Me Workspace Permissions"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/me/workspaces/{workspace_name}/permissions"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the permissions for the current user on the specified workspace.

It is a list of Permission objects, where each Permission has:
    - "asset" is the type of the asset the user has permissions to.
    - "action" is the action the user can perform on the asset.

Example:
```
 for an admin: [{"asset": "pipelines", "action": "write"}]
 for a search_user: [{"asset": "pipelines", "action": "read"}, ...]
```

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"items":{"properties":{"action":{"description":"Actions are the operations that can be performed on an asset.\nCurrently defined actions are:\n- read\n- write\n\nWhen allowing write we assume that users can also read.\nThis is a simplification that we can revisit later.","enum":["read","write"],"title":"Action","type":"string"},"asset":{"description":"Assets are the resources that are protected by the authorization system and are scoped to workspaces.","enum":["feedback","feedback_management","files","indexes","jobs","secrets","shared_prototypes","pipelines","prompts","search_history","workspace_statistics","workspace_members","groundedness","api_keys","models","tool_registry","component_templates","mcp_server","*"],"title":"Assets","type":"string"}},"required":["asset","action"],"title":"Permission","type":"object"},"title":"Response Read Users Me Workspace Permissions Api V1 Me Workspaces  Workspace Name  Permissions Get","type":"array"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
